Delege Daveti Gönderebilecekleri Ayarla
cookie ile belirtilen hesabı delegeleri olmaya kimlerin davet edebileceğini seçer: Everyone (herkes) veya OnlyFollowing (yalnızca hesabın takip ettiği hesaplar). Kaydedilen ayarı döndürür. Başka bir değer X çağrılmadan HTTP 422 döndürür; X değişikliği reddederse gerekçesiyle birlikte HTTP 400 döner. TwexAPI Bearer anahtarı ve hesabın yetkili X Cookie’si veya auth_token’ı gerekir.
API Belgelerine Dön
/Delegate Endpoints
POST
/twitter/delegate/invite_settingAPI Yetkilendirmesi
AuthorizationBearer token · headerzorunluTwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
İstek Gövdesi
zorunluapplication/jsoncookiestringzorunluAuthorized X session cookie or auth_token for the account the call acts for. Required in addition to the TwexAPI Bearer key.
min length 1
proxystring | anyÖzellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyinvitation_settingstringzorunluEveryone, or OnlyFollowing to accept invitations only from accounts this account follows.
İzin verilen:
EveryoneOnlyFollowingYanıtlar
200Success
codeintegerzorunlumsgstringzorunludataobjectzorunluÖzellikleri gösterÖzellikleri gizle
invitation_settingstringzorunluİzin verilen:
EveryoneOnlyFollowing400X rejected the request
codeintegerzorunlumsgstringzorunludataany[] | anyzorunluÖzellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
any403Authentication or credit access denied
codeintegerzorunlumsgstringzorunludataany[] | anyzorunluÖzellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
any422Invalid request
codeintegerzorunlumsgstringzorunludataany[] | anyzorunluÖzellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
any500Upstream or server error
codeintegerzorunlumsgstringzorunludataany[] | anyzorunluÖzellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
any⚡Etkileşimli KonsolPOST
⚡Etkileşimli Konsol / API TestiPOSTLive Console
🌐Hedef Sunucu:
https://api.twexapi.io● Canlı Ortam Hazır
✍️
Yazma İşlemi Kimlik Kılavuzu (TwexAPI Anahtarı + Twitter Çerezi)
1. TwexAPI Anahtarı (Bearer Token): İstek faturalandırması ve kimlik doğrulama için aşağıdaki "API Yetkilendirmesi"ne girin.
2. Twitter Hesabı Çerezi: Yazma işlemleri için (tweet, beğeni, takip), aşağıdaki cookie alanına hedef hesabın Çerezini (örn. auth_token=...; ct0=...) girin.
🔑API Yetkilendirmesi
📝İstek Gövdesiapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
İstek
curl -X POST "https://api.twexapi.io/twitter/delegate/invite_setting" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN",
"invitation_setting": "OnlyFollowing"
}'const response = await fetch("https://api.twexapi.io/twitter/delegate/invite_setting", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN",
"invitation_setting": "OnlyFollowing"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/delegate/invite_setting",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN",
"invitation_setting": "OnlyFollowing"
},
)Yanıt
{
"code": 200,
"msg": "success",
"data": {
"invitation_setting": "OnlyFollowing"
}
}{
"code": 400,
"msg": "X rejected the request",
"data": null
}{
"code": 403,
"msg": "Authentication or credit access denied",
"data": []
}{
"code": 422,
"msg": "Invalid request",
"data": []
}{
"code": 500,
"msg": "Upstream or server error",
"data": null
}